Skip to content

List metafield definition validations

View as Markdown
get /api/metafield_definition_validations

Retrieves the collection of MetafieldDefinitionValidation resources.

Returns a paginated collection of metafield definition validations in the current organization.

Query parameters

NameTypeRequiredDescription
pageinteger-The collection page number
itemsPerPageinteger-The number of items per page

Response

200 - MetafieldDefinitionValidation collection

PropertyTypeRequiredDescription
totalItemsinteger-
searchobject-
Show search fields
PropertyTypeRequiredDescription
@typestring-
templatestring-
variableRepresentationstring-
mappingobject[]-
Show mapping fields
PropertyTypeRequiredDescription
@typestring-
variablestring-
propertystring | null-
requiredboolean-
viewobject-
Show view fields
PropertyTypeRequiredDescription
@idstring-
@typestring-
firststring | null-
laststring | null-
previousstring | null-
nextstring | null-
memberMetafieldDefinitionValidation[]required
Show member fields
PropertyTypeRequiredDescription
@contextobject-
@idstringrequired
@typestringrequired
idstring-The resource's unique identifier (UUID).
metafieldDefinitionstringrequiredThe metafield definition this validation belongs to
namestringrequiredThe type of validation rule
valuestringrequiredThe validation parameter value. Format depends on the validation type.

Errors

403 - Access denied. The caller is missing one or more identity permissions required for this operation.

Content-Type: application/problem+json

PropertyTypeRequiredDescription
@contextobject-
@idstringrequired
@typestringrequired
typestring-
titlestring-
statusinteger-
detailstring-
missingPermissionsstring[]-Identity permissions that the caller is missing for this operation. Present only when the 403 is caused by a denied identity:* permission.